#include "mbed.h"
#include "rtos.h"

#ifndef __extensionIF__
#define __extensionIF__

#define EIF_maxPods 4
#define EIF_maxExt  8

class EIF_pod {
    public:
        int16_t temp1;
        int16_t temp2;
        int16_t setpoint;
        int8_t heaterDC;
        bool present;
        bool powered;
        bool sensorfail;
};

class EIF_extension {
    public:
        bool present;
        EIF_pod pods[EIF_maxPods];
};

class EIF {
    public:
        EIF();
        EIF_extension extensions[EIF_maxExt];
        Mutex mutex;
};


#endif //__extensionIF__